/* Resetting default browser styles */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    line-height: 1;
    font-family: sans-serif;
}

ul, ol {
    list-style: none;
}

a {
    text-decoration: none;
    color: inherit;
}

button, input, textarea, select {
    font: inherit;
    border: none;
    background: none;
    outline: none;
}

img {
    max-width: 100%;
    display: block;
}

/* */
html, body {
    overflow: hidden;
}
body{
    height: 100vh;
}

::selection {
    background-color: #000000;
    color: #e4e4e4;
}

body {
    background-color: #F3F3F3;
}

#logo-container {
    color: #F3F3F3;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 16px;
}
#logo-container:hover {
    text-shadow: 0 0 10px rgba(255,255,255,0.4);
}

main h1 {
    color: #070707;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    white-space: nowrap;
}

footer button {
    background-color: #4952ED;
    color: #F3F3F3;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 16px;
    transition: 0.2s;
    box-shadow: 0 8px 30px rgba(73,82,237,0.05);
}

footer button:hover {
    background-color: #454fff;
    color: white;
    cursor: pointer;
    box-shadow: 0 8px 30px rgba(73,82,237,0.35);
}

footer button:active {
    background-color: #353cc7;
    text-shadow: 0 0 10px rgba(255,255,255,0.5);
    box-shadow: 0 8px 30px rgba(73,82,237,0.25);
}

footer a {
    color: #F3F3F3;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 16px;
    transition: 0.2s;
}
footer a:hover {
    color: white;
    text-shadow: 0 0 10px rgba(255,255,255,0.5);
}

footer a:active {
    text-shadow: 0 0 10px rgba(255,255,255,1);
}

footer h6 {
    color: #6E6E6E;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: normal;
    font-size: 15px;
    text-align: right;
}
footer h6:hover {
    text-shadow: 0 0 10px rgba(255,255,255,0.2);
}

#hero-stroke {
    display: none;
    position: absolute;
    width: 200%;
    height: 200%;
    z-index: -1000;
    top: -85%;
    left: -20%;
    rotate: 50deg;
    stroke-linecap: round;
    transform: rotate(-20deg);
}
.stroke-b {
    display: none;
}
#date {
    display: none;
    color: #6E6E6E;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: normal;
    font-size: 15px;
    text-align: right;
}
#shader-div {
    position: fixed;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    z-index: -1;
    opacity: 0.1;
}





@media (max-width:375px) {
header {
    padding-top: 26px;
    display: flex;
    justify-content: center;
}
#logo-container {
    width: 90%;
    opacity: 0;
}
main {
    display: flex;
    justify-content: center;
    margin-top: 60%;
}
#h1-container {
    width: 90%;
}
main h1 {
    font-size: clamp(20px, 9vw, 32px);
}
footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    opacity: 1;
}
footer button {
    height: 57px;
    width: 90%;
    margin-top: 25%;
}
footer a {
    margin-top: 8%;
}
#quote-container {
    margin-top: 20%;
    width: 90%;
}
#shader-div{
    display: none;
}

}



@media (min-width:376px) and (max-width:750px) {

body {
    display: grid;
    grid-template-columns: 1fr 3fr 3fr 1fr;
    grid-template-rows: 3fr 3fr 4fr;
}
header {
    grid-column: 2/4;
}
header {
    display: flex;
    align-items: center;
}
main {
    grid-column: 2/4;
    display: flex;
    justify-content: center;
    align-items: center;
}
main h1 {
    font-size: clamp(30px, 7vw, 60px);  
}
footer {
    grid-column: 2/4;
    display: flex;
    flex-direction: column;
    align-items: center;
}
footer button {
    height: 57px;
    padding-left: 50px;
    padding-right: 50px;
}
footer a {
    height: 57px;
    display: flex;
    align-items: center;
}
#quote-container {
    width: 100%;
    margin-top: 10px;

}
#quote-container h6 {
    text-align: left;
}
#shader-div{
    display: none;
}

}



@media (min-width:751px){

body {
    display: grid;
    grid-template-columns: 1fr 1fr 2fr 1fr 1fr;
    grid-template-rows: 2.5fr 3fr 4fr
}
header {
    grid-column: 2/5;
}
header {
    display: flex;
    align-items: center;
    
}
#logo-container {
    margin-top: -60px;
}

main {
    grid-column: 2/5;
    display: flex;
    justify-content: center;
    align-items: center;
}
main h1 {
    font-size: clamp(30px, 7vw, 80px);
}
footer {
    grid-column: 2/5;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
footer button {
    height: 57px;;
    padding-left: 30px;
    padding-right: 30px;
    order: 2;
}
footer a {
    padding-left: 40px;
    padding-right: 40px;
    height: 57px;
    display: flex;
    align-items: center;
    order: 1;
}
#quote-container {
    display: flex;
    flex-basis: 100%;
    order: 3;
    margin-top: 10px;
    justify-content: space-between;
}
#quote-container h6 {
    text-align: left;
}
#date {
    display: flex;

}
#shader-div{
    display: none;
}

}



@media (max-width:1000px) and (max-height:560px) and (min-width:600px){

#logo-container {
    font-size: 12px;
}

#h1-container {
}
main h1{
    font-size: 2.5em;
}
footer {
    display: flex;
    margin-top: 10px;
}
#quote-container h6{
    display: none;
}
footer button {
    padding-top: 4px;
    padding-bottom: 4px;
    font-size: 12px;
    height: 47px;
}
footer a {
    padding-left: 40px;
    padding-right: 40px;
    font-size: 12px;
    height: 47px;
}

}